import { Options } from "~/types";
import type { TerminalApiListenerFunc } from "~/types";
declare function register(name: string, listener: TerminalApiListenerFunc): void;
declare function unregister(name: string): void;
declare function rename(newName: string, oldName: string, listener: TerminalApiListenerFunc): void;
declare const TerminalInterface: {
    setOptions(ops: Options): void;
    getOptions(): Options;
    post(name: string, event: string, options?: any): any;
    pushMessage(name: string, options?: any): any;
    getHistory(): import("./store/store").HistoryStore;
    fullscreen(name: string): any;
    isFullscreen(name: string): any;
    dragging(name: string, options?: any): any;
    execute(name: string, options?: any): any;
    focus(name: string, options?: any): any;
    elementInfo(name: string, options?: any): any;
    textEditorOpen(name: string, options?: any): any;
    textEditorClose(name: string, options?: any): any;
};
export default TerminalInterface;
declare const pushMessage: (name: string, options?: any) => any, fullscreen: (name: string) => any, isFullscreen: (name: string) => any, dragging: (name: string, options?: any) => any, execute: (name: string, options?: any) => any, focus: (name: string, options?: any) => any, elementInfo: (name: string, options?: any) => any, textEditorClose: (name: string, options?: any) => any, textEditorOpen: (name: string, options?: any) => any;
export { register, unregister, rename, pushMessage, fullscreen, isFullscreen, dragging, execute, focus, elementInfo, textEditorClose, textEditorOpen };
