import { ScreenType } from "~/types";
/**
 * 将空格、回车、Tab转译为html
 *
 * @param str
 * @returns {*|string}
 * @private
 */
export declare function _html(str: string): string;
/**
 * 判断一个对象是否为逻辑上的空
 *
 * @param value
 * @returns {boolean|boolean}
 * @private
 */
export declare function _isEmpty(value: any): boolean;
export declare function _nonEmpty(value: any): boolean;
/**
 * 将字符串中的html标签转译
 *
 * @param str
 * @returns {*|string}
 * @private
 */
export declare function _unHtml(str: any): any;
export declare function _sleep(time: any): Promise<unknown>;
export declare function _screenType(width?: number): ScreenType;
export declare function _isSafari(): boolean;
export declare function _getByteLen(val: any): number;
/**
 * 获取两个连续字符串的不同部分
 *
 * @param one
 * @param two
 * @returns {string}
 */
export declare function _getDifferent(one: any, two: any): string;
export declare function _eventOn(dom: any, eventName: any, handler: any): void;
export declare function _eventOff(dom: any, eventName: any, handler: any): void;
export declare function _getClipboardText(): Promise<string>;
export declare function _copyTextToClipboard(text: any): Promise<any>;
export declare function _pointInRect(point: any, rect: any): boolean;
export declare function _getSelection(): Selection;
export declare function _parseToJson(obj: any): any;
export declare function _openUrl(url: string, pushMessage: Function): void;
/**
 * 默认命令行样式格式化实现
 *
 * @param cmd
 * @return {string}
 * @private
 */
export declare function _defaultCommandFormatter(cmd: any): string;
/**
 * 判断一个Dom A是否是另一个Dom B的孩子节点
 *
 * @param target    目标Dom，A
 * @param parent    父级Dom，B
 * @param clazz     中断类，当检索到当前节点拥有这个 class 时就中断搜索，用于优化处理，避免搜索整个Dom树
 * @return {boolean}
 * @private
 */
export declare function _isParentDom(target: any, parent: any, clazz?: any): boolean;
export declare function _isPhone(): boolean;
export declare function _isPad(): boolean;
